<?php

/**
 * Region slug editing form.
 */
function panels_subsites_user_form(&$form_state) {
  
  // Grab all node types
  $types = node_get_types();
  
  // Find selected content type
  $selected_types = array_filter(variable_get('panels_subsites_content_types', array()));
  foreach ($selected_types as $type) {
    $options[$type] = $types[$type]->name;
  }

  $form['node_types'] = array(
      '#description' => t('Which content types, during node creation, should users be allow to set slug values.'),
      '#type' => 'fieldset',
      '#title' => t('Content types'),
      '#collapsible' => FALSE,
      '#collapsed' => FALSE,
  );

  $form['node_types']['panels_subsites_user'] = array(
    '#type' => 'checkboxes',
    '#title' => t('Content types'),
    '#required' => FALSE,
    '#options' => $options,
    '#default_value' => variable_get('panels_subsites_user', array()),
  );

  return system_settings_form($form);
}