<?php

/**
 * Adds support for views, so slugs can be used to create links in views.
 *
 * @return array
 */
function panels_subsites_views_data() {
  $data['panels_subsites_slugs'] = array( // table name
    'table' => array(
      'group' => 'Panels sub-sites',
      'title' => 'panels_slug',
      'join' => array(
        'node' => array(
          'left_field' => 'nid',
          'field' => 'nid',
         ),
      ),
    ),
    'slug' => array( // field name
      'title' => t('Panels slug'),
      'help' => t('Panels slug that is defined for the node.'),
      'field' => array(
        'handler' => 'views_handler_field',
        'click sortable' => FALSE,
      ),
    ),
  );

  return $data;
}
